#include <stdio.h>
#include "misc.h"

static cfg config[] = 
{
    {
	servertype : SERVER_TYPE_KUNA,
	params : {
	kuna : {
	    url : "http://kuna4.mk.cvut.cz/teplota.txt"
	    }
	}
    },
    {
	servertype : SERVER_TYPE_HELIUM,
	params : {
	helium : {
	    hostname : "stoupa.sh.cvut.cz",
	    serverport : 7465,
	    }
	}
    },
    {
	servertype : 0
    }
};

int main() 
{
    char *therm;

    therm = kuna_get_actual_value(&config[0]);
    if (therm)
	printf("%s C\n", therm);

    therm = helium_get_actual_value(&config[1]);
    if (therm)
	printf("%s C\n", therm);

    return 0;
}

