#ifndef __MISC_H_
#define __MISC_H_

#define SERVER_TYPE_HELIUM 1
#define SERVER_TYPE_KUNA 2

typedef struct _cfg cfg;

struct _cfg {
    int servertype;
    char title[255];
    union {
	struct _kuna {
	    char url[255];
	} kuna;
	struct _helium {
	    char hostname[255];
	    unsigned serverport;
	} helium;
    } params;
};

char* helium_get_actual_value(cfg *helium_cfg);
char* kuna_get_actual_value(cfg *helium_cfg);

#endif
